#ifndef POINTSET_H
#define POINTSET_H

#include <cstdio>

class pointset {
  public:
    pointset(int dim, int npoints);
    ~pointset();
    double* point(int i);
    double discrepancy();
    void dump(FILE *f);
  protected:
    const int dim, npoints;
    double **data;
};

#endif // POINTSET_H
